package com.purui.ghip.service;

import org.springframework.stereotype.Service;

/**
 * 转发服务实现
 */
@Service
public class HealthService {
	public String health() {
		/**
		 * 1.服务启动后从redis获取接口配置，如果为空则从2.6加载所有接口配置（webclient/restTemplate），同时缓存接口配置到redis
		 * 1.1 支持缓存定期更新，支持缓存失效后重新加载
		 * 2.根据接口请求地址，在接口配置中找转发的服务地址
		 * 3.转发请求（webclient/restTemplate）
		 * 4.返回结果
		 */
		return "ok";
	}
}
